# -*- encoding: utf-8 -*-
# stub: red-arrow-flight 19.0.1 ruby lib
# stub: dependency-check/Rakefile

Gem::Specification.new do |s|
  s.name = "red-arrow-flight".freeze
  s.version = "19.0.1".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Apache Arrow Developers".freeze]
  s.date = "2025-03-04"
  s.description = "Apache Arrow Flight is a general-purpose client-server framework to simplify high performance transport of large datasets over network interfaces.".freeze
  s.email = ["dev@arrow.apache.org".freeze]
  s.extensions = ["dependency-check/Rakefile".freeze]
  s.files = ["Gemfile".freeze, "LICENSE.txt".freeze, "NOTICE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "dependency-check/Rakefile".freeze, "lib/arrow-flight.rb".freeze, "lib/arrow-flight/call-options.rb".freeze, "lib/arrow-flight/client-options.rb".freeze, "lib/arrow-flight/client.rb".freeze, "lib/arrow-flight/loader.rb".freeze, "lib/arrow-flight/location.rb".freeze, "lib/arrow-flight/record-batch-reader.rb".freeze, "lib/arrow-flight/server-call-context.rb".freeze, "lib/arrow-flight/server-options.rb".freeze, "lib/arrow-flight/ticket.rb".freeze, "lib/arrow-flight/version.rb".freeze, "red-arrow-flight.gemspec".freeze, "test/helper.rb".freeze, "test/helper/info-generator.rb".freeze, "test/helper/server.rb".freeze, "test/run-test.rb".freeze, "test/test-call-options.rb".freeze, "test/test-client.rb".freeze, "test/test-location.rb".freeze, "test/test-record-batch-reader.rb".freeze, "test/test-ticket.rb".freeze]
  s.homepage = "https://arrow.apache.org/".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.5.16".freeze
  s.summary = "Red Arrow Flight is the Ruby bindings of Apache Arrow Flight".freeze
  s.test_files = ["test/helper/info-generator.rb".freeze, "test/helper/server.rb".freeze, "test/helper.rb".freeze, "test/run-test.rb".freeze, "test/test-call-options.rb".freeze, "test/test-client.rb".freeze, "test/test-location.rb".freeze, "test/test-record-batch-reader.rb".freeze, "test/test-ticket.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<red-arrow>.freeze, ["= 19.0.1".freeze])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<test-unit>.freeze, [">= 0".freeze])
end

